Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Cartesian_product< Functions > Class Template Reference

Constructs the function the zero-set of which is the Cartesian product of the zero-sets of some given functions. More...

`#include <include/gudhi/Functions/Cartesian_product.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the zero-set.
| Cartesian_product (const Functions &... functions)
| Constructor of the Cartesian product function.

## Detailed Description

template<class... Functions>
class Gudhi::coxeter_triangulation::Cartesian_product< Functions >

Constructs the function the zero-set of which is the Cartesian product of the zero-sets of some given functions.

Template Parameters

  Functions | A pack template parameter for functions. All functions should be models of the concept FunctionForImplicitManifold.

## Constructor & Destructor Documentation

## Cartesian_product()

template<class... Functions>

Gudhi::coxeter_triangulation::Cartesian_product< Functions >::Cartesian_product | ( | const Functions &... | functions | ) |

inline

Constructor of the Cartesian product function.

Parameters

  [in] | functions | The functions the zero-sets of which are factors in the Cartesian product of the resulting function.

## Member Function Documentation

## operator()()

template<class... Functions>

Eigen::VectorXd Gudhi::coxeter_triangulation::Cartesian_product< Functions >::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Cartesian_product.h